window.onload = function() {
    //alert("window loaded");
    addNotificationsObserver();
}

var shouldAddNotifObserver = true;

function addNotificationsObserver() {
    var target = document.querySelector(".tlid-results-container");
    console.log("Tinder Notif "+target);
    if(target) {
        if(shouldAddNotifObserver) {
            var observer = new MutationObserver(function(mutations) {
                                                mutations.forEach(function(mutation) {
                                                                  console.log("Tinder Notif mutation "+mutation.type);
                                                                  setTimeout(function() {
                                                                             extractNotificationData();
                                                                             }, 1000);
                                                                  });
                                                });
            
            var config = {attributes:true, childList:true, characterData:true, subtree:true};
            observer.observe(target, config);
            console.log("Notif Observer Added");
            shouldAddNotifObserver = false;
        }
    }
    else {
        setTimeout(function(){
                   addNotificationsObserver();
                   }, 2000);
    }
}

function extractNotificationData() {
    //alert("extract notif");
    //    var result = document.querySelector("#result_box");
    //    var text = result.innerHTML;
    //    if(text.length > 0) {
    //        console.log(text);
    //        alert(text);
    //    }
    //    else {
    //        var error = document.querySelector("#gt-res-error");
    //        if(error.innerHTML.length > 0) {
    //            //alert('$error$');
    //            console.log(error);
    //            location.reload();
    //        }
    //        else {
    //            console.log('no error');
    //        }
    //    }
    
    var text = extractTranslation();
    console.log(text);
    alert(text);
}

// new mechanism 29/11/2018
function extractTranslation() {
    //var container = document.querySelector(".tlid-translation.translation");
    var container = document.getElementsByClassName("tlid-translation translation");
    if(container) {
        if(container.length > 0) {
            console.log('child nodes');
            var i;
            var text = "";
            /*for (i=0; i<container.childNodes.length; i++) {
             var content = container.childNodes[i];
             if(content.innerText) {
             text += content.innerText;
             }
             }*/
            for (var i = 0; i < container.length; i++) {
                var text = container[i].innerText;
            }
            if(text.length > 0) {
                return text;
            }
            else {
                console.log('no child nodes');
                console.log(container);
                var content = container.innerText;
                if(content.length > 0) {
                    return content;
                }
            }
        }
        else {
            console.log('no child nodes');
            console.log(container);
            var content = container.innerText;
            if(content.length > 0) {
                return content;
            }
        }
        //        var result = container.childNodes[0];
        //        if(result) {
        //            var text = result.innerHTML;
        //            console.log(text);
        //            return text;
        //        }
    }
    return "";
}

function extractDetectedLanguage() {
    var lang = document.querySelector('[value=\"auto\"]').innerHTML;
    console.log(lang);
    return lang;
}



function browserYorComputerButtonClicked() {
//    alert("browse button Clicked");
    var browseButton = document.querySelector(".tlid-select-file-button.button");
    if(browseButton){
//        alert("browse button Clicked 1");
        browseButton.click();
  
    }
    
}


function translateDocButtonClicked(){
//    alert("translate doc button Clicked ");

    var translateDocButton = document.querySelector(".tlid-translate-doc-button.button");
    if(translateDocButton){
//        alert("translate doc button Clicked 1");
        translateDocButton.click();
  
    }
    
}


function getDocumentTranslatedText() {
    
    
    const removeElements = (elms) => elms.forEach(el => el.remove());
    
    var sourceClass =  document.querySelectorAll(".google-src-text");
    if(sourceClass){
        // Use like:
        removeElements( document.querySelectorAll(".google-src-text") );
    }
 
    
    return document.body.innerHTML;
//    console.log(document.body.innerText);
    
}
